Bug 1007756 - LevelDB Cache store in server doesn't keep data between restarts
LevelDB Cache store in server doesn't keep data between restarts
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: ER2
: 6.2.0
Assigned To: Tristan Tarrant
nobody nobody
:
Depends On:
Blocks: 1010419
  Show dependency treegraph
 
Reported: 2013-09-13 05:24 EDT by Michal Linhard
Modified: 2014-04-28 11:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3504 Major Resolved LevelDB Cache store in server doesn't keep data between restarts 2014-06-30 21:53:37 EDT

  None (edit)
Description Michal Linhard 2013-09-13 05:24:35 EDT
https://issues.jboss.org/browse/ISPN-3504

JDG 6.2.0.DR4
Comment 2 JBoss JIRA Server 2013-09-16 08:10:50 EDT
Michal Linhard <mlinhard@redhat.com> made a comment on jira ISPN-3504

OK, this is most probably caused by using different file names in start and clear methods:

in start() we call:
{code}
      db = openDatabase(configuration.location() + cacheFileName, configuration.dataDbOptions());
{code}

in reinitAllDatabases() we have:
{code}
      db = reinitDatabase(configuration.location(), configuration.dataDbOptions());
{code}
Comment 3 JBoss JIRA Server 2013-09-16 08:13:28 EDT
Michal Linhard <mlinhard@redhat.com> made a comment on jira ISPN-3504

This causes that after cache.clear() operation, the cache store writes to different file than initially and when the server is restarted again, the expected data is not there.
Comment 5 Michal Linhard 2013-10-08 09:32:11 EDT
Verified for 6.2.0.ER2

Note You need to log in before you can comment on or make changes to this bug.